.\" Man page for man (and the former manpath)
.\"
.\" Copyright (c) 1990, 1991, John W. Eaton.
.\"
.\" You may distribute under the terms of the GNU General Public
.\" License as specified in the README file that comes with the man 1.0
.\" distribution.  
.\"
.\" John W. Eaton
.\" jwe@che.utexas.edu
.\" Department of Chemical Engineering
.\" The University of Texas at Austin
.\" Austin, Texas  78712
.\"
.\" Many changes - aeb
.\"
.\" Tumaczenie - 950322 Rafa Maszkowski <rzm@pdi.lodz.pl>
.\"
.TH man 1 "December 20, 1994"
.LO 1
.SH NAME
man \- formatowanie i wywietlanie dostpnych stron manuala
.br
manpath \- wyznaczanie cieki poszukiwania stron manuala odpowiedniej dla danego uytkownika
.SH SKADNIA
man [\-adfhktw] [\-m system] [\-p lacuch znakw] [\-C plik_konfiguracji] [\-M cieka]
[\-P pager] [\-S lista_sekcji] [sekcja] nazwa ...
.SH OPIS
.B man
formatuje i wywietla strony manuala dostpne w systemie. Ta wersja
sprawdza zmienne rodowiskowe MANPATH i (MAN)PAGER, wic moesz mie Twj
wasny zestaw (lub zestawy) osobistych stron manuala i wybra do
wywietlania ulubiony program. Jeeli zostanie podana
.I sekcja,
.B man
sprawdza tylko t sekcj manuala.
Uywajc opcji lub zmiennych rodowiskowych moesz take poda porzdek,
w jakim naley przeszukiwa sekcje oraz jakie preprocesory powinny
zosta uyte do wstpnego przetworzenia stron.
Jeeli
.I nazwa
zawiera / wtedy man prbuje najpierw znale podany plik, wic np.
moesz
.B "man ./foo.5"
a nawet
.B "man /cd/foo/bar.1.gz\fR.\fP"
.SH OPCJE
.TP
.B \-\^C " plik_konfiguracji"
Moesz poda inny man.config; domylnie jest to
@man_config_file@. (Zobacz man.config(5).)
.TP
.B \-\^M " cieka"
Moesz poda list katalogw, w ktrych bd szukane strony manuala.
Jeeli taka opcja nie zostanie podana, uywana jest zmienna rodowiskowa
.B MANPATH
. Jeeli taka zmienna nie jest zdefiniowana, domylna lista jest
formowana przez sprawdzenie @man_config_file@. Pusta MANPATH rwnie
oznacza wybranie cieki domylnej.
.TP
.B \-\^P " pager"
Moesz poda jakiego pagera chcesz uzywa. Domylnie man uywa
.B @pager@
Podanie tej opcji powoduje zignorowanie wartosci zmiennej rodowiskowej
.B PAGER
.
.TP
.B \-\^S " lista_sekcji"
Oddzielona dwukropkami lista sekcji manuala, ktre maja by
przeszukane. Jeeli uzyta jest ta opcja, zmienna rodowiskowa
.B MANSECT
jest ignorowana.
.TP
.B \-\^a
Zwykle man zakoczy dziaanie po wywietleniu pierwszej znalezionej
strony. Uycie tej opcji powoduje wywietlenie wszystkich stron
manuala, ktre pasuj do
.B nazwy, 
nie tylko pierwszej.
.TP
.B \-\^c
Przformatuj rdow stron manuala, nawet jezeli istnije aktualna
storna cat. Moe to by istotne, jeeli strona cat jest sformatowana
dla ekranu z inn liczb kolumn.
.TP
.B \-\^d
Zamiast stron manuala wywietl mnstwo informacji o wykonywaniu
zadania.
.TP
.B \-\^D
Wywietl zarwno stron manuala jak i informacj o wykonaniu.
.TP
.B \-\^f
Rwnowane
.B whatis.
.TP
.B \-\^h
Wywietl krtk informacj o tym jak uywa programu i zakocz prac.
.TP
.B \-\^k
Rwnowany
.B apropos.
.TP
.B \-\^m " system"
Podanie alternatywnego zestawu stron manuala, odpowiedniego dla
podanego systemu.
.TP
.B \-\^p " acuch_znakw"
Podanie nazw preprocesorw, ktore zostan uruchomione przed nroff i
troff. Nie wszystkie intalacje maj peny zestaw preprocesorw.
Niektre z nich i litery uywane do ich oznaczenia to:
eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r).
Podanie tej opcji powoduje zignorowanie zmiennej rodowiskowej
.B MANROFFSEQ
.
.TP
.B \-\^t
Uyj
.B @troff@
dla sformatowania strony manuala, a wynik wylij do
.B stdout
(standardowego wyjcia).
Wynik z
.B @troff@
powinien by na og przepuszczony przez jaki filtr przed wydrukowaniem.
.TP
.B \-\^w \fRlub\fP \-\-path
Nie wywietlaj stron manuala, podaj tylko gdzie znajduj si pliki, ktre
byyby sformatowane i wyswietlone. Jeeli nie s podane argumenty:
wywietla (przed stdout) liste katalogow przeszukiwanych przez
.B man
. Jeeli
.B manpath
to link do man to "manpath" jest rwnowane "man --path".

.SH "STRONY CAT"
Man bdzie prbowal zapisa sformatowane strony manuala aby
zaoszczedzi czasu zuywanego na formatowanie nastepnym razem,
kiedy te strony bd potrzebne.
Tradycyjnie sformatowane wersje stron z katalogu DIR/manX s
zapisywane do DIR/catX, ale inne w pliku @man_config_file@
mog by zapisane rwnie inne zasady.
Strony cat nie s zapisywane jeeli wymagany do tego katalog nie istnieje.
.TP
Moliwe jest zmiana uprawnien man-a na suid man. Wtedy katalogi cat
maj waciciela man i uprawnienia 0755 (zapisywalne tylko przez
uytkownika man), a pliki cat maj waciciela man i uprawnienia
0644 lub 0444 (zapisywalne przez man lub przez nikogo). aden zwyky
uytkownik nie moe zmieni stron cat lub wpisa innych plikw w te
katalogi. Jeeli man nie ma uprawnien suid to katalog cat powinien mie
uprawnienia 0777, jeeli wszyscy uytkownicy powinni mie moliwo
pozostawienia tam stron cat.
.TP
Opcja -c wymusza przeformatowanie strony nawet jeeli istnieje ju
strona cat.


.SH "ZMIENNE RODOWISKOWE"
.TP
.B MANPATH
Jeeli
.B MANPATH
jest zdefiniowana, warto jest uywana jako cieka poszukiwania stron
manuala.
.TP
.B MANROFFSEQ
Jeeli
.B MANROFFSEQ
jest zdefinowana, warto jest uywana do zdefinowania zestawu
preprocesorw uruchamianych przed nroff i troff. Domylnie strony
s przepuszczane przez procesor tablic przed uyciem nroff.
.TP
.B MANSECT
Jeeli
.B MANSECT
jest zdefiniowana, warto jest uywana do podania jakie sekcje manuala
powinny zostac przeszukane.
.TP
.B PAGER
Jeeli
.B PAGER
jest zdefiniowana, warto jest uywana jako nazwa programu do
wywietlania strony manuala. Domylnie uzywany jest
.B @pager@
.
.TP
.B LANG
Jeeli
.B LANG
jest zdefiniowana, warto jest nazw podkatalogu, gdzie man szuka
stron. Zatem komenda `LANG=dk man 1 foo' (w sh lub bash) spowoduje, e
man bdzie szukal strony w .../dk/man1/foo.1, a nastpnie, jeeli nie
bdzie mg znale takiego pliku, w .../man1/foo.1, gdzie ... jest
katalogiem ze cieki przeszukiwania.
.TP
.B "NLSPATH, LC_MESSAGES, LANG"
Zmienne rodowiskowe
.B NLSPATH
i
.B LC_MESSAGES
(lub
.B LANG,
jeeli ta druga nie istnieje)
steruj przeszukiwaniem katalogw z komunikatami.
(Komunikaty angielskie s wkompilowane, wic dla angielskiego taki
katalog nie jest potrzebny.)
Zauwa, ze programy takie jak col(1), woane przez man, rwnie uywaj
np. LC_TYPE.
.TP
.B PATH
.B PATH
jest uywana do zbudowania domylnej ciezki szukania stron manuala.
.TP
.B SYSTEM
.B SYSTEM
jest uywana dla podania domylnej alternatywnej nazwy systemu (do uywania
razem z opcj
.B \-m
). 
.SH "ZOBACZ TE"
apropos(1), whatis(1), less(1), groff(1).
.SH BDY
Opcja
.B \-t
dziaa tylko jeeli jest zainstalowany jaki program dziaajcy jak troff.
