#include <stdio.h>
#include "gripes.h"

#define BUFSIZE 4096

extern void gripe ();
extern int do_system_command ();

struct filelist {
    char *pathname;
    struct filelist *next;
} cat_list, man_list;

static int
is_different(file, p)
     char *file;
     struct filelist *p;
{
    extern char *my_malloc(), *getval(), *strdup();
    char command[BUFSIZE];
    char *cmp = getval("CMP");
    int ret;

    if (cmp) {
	while (p->next) {
	    if (strlen(cmp) + strlen (file) + strlen(p->pathname) + 4 < BUFSIZE) {
		sprintf(command, "%s %s %s\n", cmp, file, p->pathname);
		ret = do_system_command (command, 1);
		if (ret == 0) {
		    gripe(IDENTICAL, file, p->pathname);
		    return 0;
		}
	    }
	    p = p->next;
	}
	p->next = (struct filelist *) my_malloc(sizeof(struct filelist));
	p->pathname = strdup(file);
	p->next->next = 0;
    }
    return 1;
}

int
different_cat_file (file)
     register char *file;
{
    return is_different (file, &cat_list);
}

int
different_man_file (file)
     register char *file;
{
    return is_different (file, &man_list);
}
